Subject: Re: loaded router, excessive getnstimeofday in oprofile

From: Rick Jones <[email-masked]>
Date: Wed, 27 Aug 2008 09:07:47 -0700

Andi Kleen wrote:
> Evgeniy Polyakov <[email-masked]> writes:
> 
>>Yup, this innocent toys can end up with this such behaviour on modern
>>highly loaded machines.
> 
> 
> I and also other people had some patches to move the time stamp
> measuring into the socket. This way the time stamping didn't need to
> be enabled on all packets, only on those that actually end up at a
> socket that requires the time stamp.
> 
> Unfortunately DaveM didn't like it because some bank wanted
> different semantics, see the discussion in 
> http://thread.gmane.org/gmane.linux.network/91679
> 
> Perhaps you can find out which bank it was and send them a bill for
> your CPU time ;-)

Those banks really want to crank down on latency - to the point they 
start disabling interrupt coalescing.  I bet they'd toss anything out 
they could to shave another microsecond.

rick jones